# gcc

> C மற்றும் C++ மூலக் கோப்புகளை முன் செயலாக்கம் செய்து தொகுத்து, பின்னர் அவற்றைச் சேகரித்து இணைக்கவும்.
> மேலும் விவரத்திற்கு: <https://gcc.gnu.org>.

- பல மூல கோப்புகளை இயங்கக்கூடியதாக தொகுக்கவும்:

`gcc {{மூலம்1.c/பாதை மூலம்2.c/பாதை ...}} {{[-o|--output]}} {{வெளியீடு_இயங்கக்கூடியது/பாதை}}`

- வெளியீட்டில் எச்சரிக்கைகள் மற்றும் பிழைத்திருத்த குறியீடுகளை அனுமதிக்கவும்:

`gcc {{மூலம்.c/பாதை}} -Wall {{[-g|--debug]}} -Og {{[-o|--output]}} {{வெளியீடு_இயங்கக்கூடியது/பாதை}}`

- வேறு பாதையிலிருந்து நூலகங்களைச் சேர்க்கவும்:

`gcc {{மூலம்.c/பாதை}} {{[-o|--output]}} {{வெளியீடு_இயங்கக்கூடியது/பாதை}} -I{{தலைப்பு}} -L{{நூலகத்திற்கு/பாதை}} -l{{நூலகம்_பெயர்}}`

- மூலக் குறியீட்டை அசெம்பிளர் வழிமுறைகளில் தொகுக்கவும்:

`gcc {{[-S|--assemble]}} {{மூலம்.c/பாதை}}`

- இணைக்காமல் மூலக் குறியீட்டை தொகுக்கவும்:

`gcc {{[-c|--compile]}} {{மூலம்.c/பாதை}}`

- செயல்திறனுக்காக தொகுக்கப்பட்ட நிரலை மேம்படுத்தவும்:

`gcc {{மூலம்.c/பாதை}} -O{{1|2|3|fast}} {{[-o|--output]}} {{வெளியீடு_இயங்கக்கூடியது/பாதை}}`
